package exemple.exempleSimple;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

import moteurJeu.moteur.DessinAbstract;

public class MonDessin implements DessinAbstract {

	// le jeu
	MonJeu jeu;

	// creer un dessin a partir d'un jeu
	public MonDessin(MonJeu j) {
		this.jeu = j;
	}

	// permet de dessiner la nouvelle image
	public void dessiner(BufferedImage image) {
		// on recupere un crayon sur l'image
		Graphics2D g = (Graphics2D) image.getGraphics();

		// on dessine sur l'image
		g.setColor(Color.BLUE);
		g.drawString("appuyer <ESC> pour sortir", 200, 300);

		// on dessine le personnage
		int taille = 10;
		int debutX = this.jeu.x - taille;
		int debutY = this.jeu.y - taille;
		g.setColor(Color.PINK);
		g.fillOval(debutX, debutY, 2 * taille, 2 * taille);
		g.setColor(Color.BLACK);
		g.drawOval(debutX, debutY, 2 * taille, 2 * taille);
		
		// on rend le crayon
		g.dispose();
	}

}
