package exemple.exempleSimple;

import java.awt.event.KeyEvent;

import moteurJeu.moteur.CClavier;
import moteurJeu.moteur.CSouris;
import moteurJeu.moteur.JeuAbstract;

public class MonJeu implements JeuAbstract {

	// fin du jeu
	boolean fini = false;

	// personnage coordonnees x et y
	int x, y;

	/**
	 * construit un jeu par defaut
	 */
	public MonJeu() {
		this.x = 100;
		this.y = 100;

	}

	/**
	 * Definit l'evolution du jeu
	 */
	public String evoluer(CClavier clavier, CSouris souris) {
		// si la touche gauche est appuyee
		if (clavier.isPressed(KeyEvent.VK_LEFT))
			this.x = this.x - 1;

		// si la touche droite est appuyee
		if (clavier.isPressed(KeyEvent.VK_RIGHT))
			this.x = this.x + 1;

		// si la touche haut est appuyee
		if (clavier.isPressed(KeyEvent.VK_DOWN))
			this.y = this.y + 1;

		// si la touche haut est appuyee
		if (clavier.isPressed(KeyEvent.VK_UP))
			this.y = this.y - 1;

		// si la touche escape est appuyee
		if (clavier.isPressed(KeyEvent.VK_ESCAPE))
			this.fini = true;

		return null;
	}

	/**
	 * Definit la fin du jeu
	 */
	public boolean etreFini() {
		return fini;
	}

}
