package exemple.physiqueAvecInteraction;


import moteurJeu.moteur.MoteurGraphique;

/**
 * classe qui lance l'ensemble
 *
 */
public class Main {

	/**
	 * mthode principale qui met en place le jeu et le dessin et lance le
	 * moteur
	 * 
	 * @param args
	 *            inutile
	 */
	public static void main(String[] args) {
		// creation du jeu et du dessin
		JeuPhysiqueInteraction jeu = new JeuPhysiqueInteraction();
		DessinPhysiqueInteraction dessin = new DessinPhysiqueInteraction(jeu);

		// creation du moteur
		MoteurGraphique moteur = new MoteurGraphique(jeu, dessin);
		moteur.lancerJeu(800, 600, 100);

	}
}
